[![Build Status](https://travis-ci.org/leonardgoeke/AnyMOD.jl.svg?branch=master)](https://travis-ci.org/leonardgoeke/AnyMOD.jl)
[![codecov](https://codecov.io/gh/leonardgoeke/AnyMOD.jl/branch/master/graph/badge.svg)](https://codecov.io/gh/leonardgoeke/AnyMOD.jl)
[![Gitter chat](https://badges.gitter.im/AnyMOD-jl/typedoc.svg)](https://gitter.im/AnyMOD-jl/community)
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)

<img src="docs/src/assets/schriftzug_plus_logo.png" alt="logo" width="950px"/>

[AnyMOD.jl](https://github.com/leonardgoeke/AnyMOD.jl) is a [Julia](https://julialang.org/) framework for creating large scale energy system models with multiple periods of capacity expansion formulated as linear optimization problems. It was developed to address the challenges in modelling high-levels of intermittent generation and sectoral integration. A comprehensive description of the framework's graph based methodology can found in the working paper [Göke (2020), AnyMOD - A graph-based framework for energy system modelling with high levels of renewables and sector integration](https://arxiv.org/abs/2004.10184). The software itself is seperately introduced in [Göke (2020), AnyMOD.jl: A Julia package for creating energy system models](https://arxiv.org/abs/2011.00895).

Any questions, suggestions, feature requests, or contributions are welcome. To get in touch open an [issue](https://github.com/leonardgoeke/AnyMOD.jl/issues) or use the [chat](https://gitter.im/AnyMOD-jl/community).

## Documentation

- [**STABLE**](https://leonardgoeke.github.io/AnyMOD.jl/stable/) &mdash; **last thoroughly tested and fully documented version**
- [**DEV**](https://leonardgoeke.github.io/AnyMOD.jl/dev/) &mdash; *in-development version of the tool*


## Acknowledgement

The development of AnyMOD is receiving funding from the European Union’s Horizon 2020 research and innovation programme within the [OSMOSE project](https://www.osmose-h2020.eu/) under grant agreement No 773406.


